<template>
  <v-navigation-drawer
    v-model="drawer"
    :width="width"
    color="white"
    absolute
    temporary
    :class="`elevation-${elevation}`"
    right
    fixed
  >
    <v-card flat>
      <v-card-title>
        <span>{{ locale['heading.feedback'] }}</span>
        <v-spacer></v-spacer>
        <v-btn text large icon color="light-blue" @click="drawer = false">
          <v-icon>mdi-close</v-icon>
        </v-btn>
      </v-card-title>

      <v-divider></v-divider>

      <v-card-text>
        <v-form>
          <v-text-field v-model="userDataTel" :label="locale['text.field-phone']"></v-text-field>
          <v-text-field v-model="userDataMail" :label="locale['text.field-email']"></v-text-field>
          <v-text-field v-model="userDataName" :label="locale['text.field-name']"></v-text-field>

          <v-btn color="success" large block v-text="locale['button.send']"></v-btn>

          <div>
            <v-checkbox v-model="userDataAgree">
              <template v-slot:label>
                <div class="caption" v-text="locale['text.feedback-agree']"></div>
              </template>
            </v-checkbox>

            <v-divider></v-divider>

            <nuxt-link
              :to="locale['link.privacy-policy']"
              class="caption"
              v-text="locale['button.privacy-policy']"
            ></nuxt-link>
          </div>
        </v-form>
      </v-card-text>
    </v-card>
  </v-navigation-drawer>
</template>

<script>
export default {
  props: {
    initialWidth: {
      type: [Number, String],
      default: 300,
    },
    initialElevation: {
      type: Number,
      default: 2,
    },
  },

  data: () => ({
    userDataTel: '',
    userDataMail: '',
    userDataName: '',
    userDataAgree: false,
  }),

  computed: {
    drawer: {
      get() {
        return this.$store.state.feedback.drawer
      },
      set(val) {
        this.$store.commit('feedback/SET_DRAWER', val)
      },
    },

    width() {
      return this.$store.state.feedback.width
    },

    elevation() {
      return this.$store.state.feedback.elevation
    },

    locale() {
      return this.$store.getters.layoutLocale
    },
  },

  created() {
    this.$store.commit('feedback/SET_WIDTH', this.initialWidth || this.width)
    this.$store.commit('feedback/SET_ELEVATION', this.initialElevation || this.elevation)
  },
}
</script>
